wake-up-neo.com

Wordpress-Plugin-Slider-Revolutionsfehler

Ich kann diesen folgenden Fehler nicht loswerden. Der Fehler wird angezeigt, nachdem ich das Plugin aktiviert habe.

Slider Revolution error: could not unzip into the revslider/public/assets/ folder, please make sure that this folder is writable. 

Ich habe chmod 777 auf revslider/public/assets/aber ohne Verwendung gemacht.

Ich habe diesen Fehler auch im Browser erhalten ..

Revolution Slider Error: You have some jquery.js library include that comes after the revolution files js include.
This includes make eliminates the revolution slider libraries, and make it not work.
To fix it you can:
    1. In the Slider Settings -> Troubleshooting set option: Put JS Includes To Body option to true.
    2. Find the double jquery.js include and remove it.

Ich kann nicht zur Fehlerbehebungssatzoption gehen, nachdem ich zu den Schieberegler-Einstellungen gewechselt habe, da keine der Links (einschließlich "Problembehandlung") auf der rechten Seite funktioniert (der Screenshot beigefügt ist).

 enter image description here

7

Ich habe das gleiche Problem. Ich bin nicht sicher, was dieses Problem verursacht, aber ich kann meine Problemumgehung mitteilen:

  1. Zuerst müssen Sie einen FTP-Zugriff auf Ihren WP -Ordner haben
  2. Deaktivieren Sie das Revolution Slider Plugin 
  3. Verwenden Sie FTP und gehen Sie zur Datei revslider/public/assets/assets/svg/und laden Sie die Datei svg.Zip auf Ihren PC.
  4. Entpacke svg.Zip . Entpacken Sie den entpackten Inhalt und legen Sie ihn in den Ordner uploads/revslider/assets/svg/(Wenn in den Ordner uploads/revslider keine Assets und svg vorhanden sind, müssen Sie sie manuell erstellen).
  5. Gehen Sie zu revslider/inludes/framework/open base.class.php file und bearbeiten Sie die Funktion public_folder_unzip () :

Alter Code

 if($unzipfile === true){
 update_option('rs_public_version', RevSliderGlobals::SLIDER_REVISION); 
 }
 else{
 add_action('admin_notices', array('RevSliderBase', 'copy_notice'));
 }

Neuer Code

 if($unzipfile == true){
 update_option('rs_public_version', RevSliderGlobals::SLIDER_REVISION); 
 }
 else{
 add_action('admin_notices', array('RevSliderBase', 'copy_notice'));
 }
  1. Dateiänderungen speichern.
  2. Plugin aktivieren.
9
batgor

Ich fand das heute nach dem Update des Autoptimize-Plugins. Durch Deaktivieren der Javascript-Optimierung in den Autoptimierungs-Einstellungen wurde das Problem behoben (obwohl dies auf Kosten einer gewissen Leistung zu erwarten war).

7
user1876628

Danke, Batgor. Ihre Methode hat für mich funktioniert. Gestatten Sie mir, mich mit anderen zusammenzuschließen, die auf etwas anderes gestoßen sind.

Meine assets.Zip-Datei im Ordner " ./revslider/public/assets " wurde NICHT entpackt. Also musste ich über SSH reingehen und es zuerst entpacken. Sobald es explodierte, ging ich in die Datei ./revslider/includes/framework/base.class.php

Für diejenigen, die alte Augen wie ich haben - müssen Sie das dritte Gleichheitszeichen entfernen 

if ($ unzipfile === true) { 

so dass Sie am Ende mit 

if ($ unzipfile == true) { 

Möglicherweise müssen Sie Ihr Design und/oder das Rev Slider-Plugin aktualisieren.

1
cschaefer

Habe das gleiche Problem! Und es ist nicht das "Update-Update" -Problem. Ich habe alles frisch in der neuesten Version geladen. Wordpress (4.5.2) und eine Design-Appbox. In der letzten Version wird der Slider auch direkt geladen. Das Schlimme ist, dass die Menüoptionen des Rev-Schiebereglers in Wordpress nicht richtig funktionieren ... Die aufgerufene Lösung ist daher nicht ausführbar, da das Dropdown-Menü die Option für die Abfrage verdeckt und nicht aufgerufen werden kann. Ein weiterer Nebeneffekt: Der Löschschieberegler funktioniert nicht.

1
JanScott

Ich bin heute in dieses Thema geraten. Das Deaktivieren des Plugins "Async Javascript" und das Deaktivieren der Javascript-Optimierung in den Autoptimize-Plugin-Einstellungen hat mein Problem behoben.

1
grantog

My Slide Revolution hat es erro: Revolution Slider Fehler: Sie haben einige jquery.js Bibliothek enthalten, die nach den Revolution-Dateien kommt, die js enthalten. Dazu gehört, dass make die Revolutions-Schieberegler-Bibliotheken entfernt und dafür sorgt, dass sie nicht funktionieren.

So beheben Sie das Problem: 1. Setzen Sie die Option JS Includes To Body in den Schiebereglereinstellungen -> Fehlerbehebung auf true. 2. Suchen Sie das double jquery.js-Include und entfernen Sie es.

Für mich war es die Combo von

  1. In dem Slider Settings -> Troubleshooting set option: Put JS Includes To Body option auf wahr.

  2. Finde das doppelte jquery.js füge es hinzu und entferne es. Dies wurde durch das Auto-Optimierungs-Plugin verursacht. Nachdem ich das Kontrollkästchen deaktiviert hatte, optimiere ich den JavaScript-Code, der das Problem behoben hat.

0
karen

Es gibt die beste Lösung: 

  1. Listenpunkt
  2. Gehen Sie zum Revolutionsschieberegler auf dem Dashboard
  3. Wählen Sie Ihren Schieberegler, der das Problem verursacht
  4. gehe zum Param-Slider
  5. Scrollen Sie zu den Problembehandlungen auf der rechten Seite
  6. Wählen Sie Fehlerbehebung 
  7. set-Option: Setzen Sie JS Includes To Bodyoption auf true.

Das ist es

0
Omar